#pragma once

#include <systypes/base.h>

#define PAGE_SIZE 4096



/* Address arithmetic. */

length_t page(unsigned int n);

unsigned int page_order(length_t size);

length_t round(length_t value, length_t increment);

offset_t round_offset(offset_t value, length_t increment);

length_t round_multiple(length_t value, length_t increment);

length_t trunc(length_t value, length_t increment);

offset_t trunc_offset(offset_t value, length_t increment);

length_t trunc_multiple(length_t value, length_t increment);

length_t max_multiple(length_t start, length_t end, length_t increment);

// vim: tabstop=4 expandtab shiftwidth=4
